// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "Widget/CommonBtn/CsdkBtnParam.h"
#include "Widgets/SCompoundWidget.h"



/**
 * 
 */
class CSDKUI_API SCsdkBaseBtn : public SCompoundWidget
{
public:
	SLATE_BEGIN_ARGS(SCsdkBaseBtn)
	{}
	
	SLATE_ARGUMENT(TSharedPtr<SWidget>, SlotWidget)
	
	/** Called when the button is clicked */
	SLATE_EVENT( FOnClicked, OnClicked)
	
	SLATE_END_ARGS()
	
	/** Constructs this widget with InArgs */
	void Construct(const FArguments& InArgs);

private:
	FReply OnButtonClicked();

protected:
	TSharedPtr<SButton> MyButton = nullptr;
	FOnClicked OnClicked;

	TSharedPtr<SWidget> SlotWidget;
};
